<%@page contentType="text/html;charset=UTF-8" pageEncoding="ISO-8859-1" session="true"
%><%@page import="com.fujitsu.iflow.model.workflow.WFSession"
%><%@page import="com.fujitsu.iflow.model.bpm.BPMSession"
%><%@page import="com.fujitsu.iflow.model.util.URLEncoder"
%><%
    request.setCharacterEncoding("UTF-8");request.getParameterNames(); //Need dummy call for WL9.1
    StringBuffer s1 = request.getRequestURL();
    s1.append("?");
        
    String pageURL = s1.toString();
    pageURL = pageURL.substring(pageURL.lastIndexOf("/")+1,pageURL.lastIndexOf(".jsp"));

    if (request.getQueryString() != null)
        s1.append(request.getQueryString());
        
    String goPage = s1.toString();
    String DisplayConsole = request.getParameter("DisplayConsole");
    if(DisplayConsole == null)
        DisplayConsole = "true";

%>
<script type="text/javascript" src="styles/clockscripts.js"></script>
<table width="99%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
<!-- Replace following 2 lines to add custom title and logo -->
    <td width=164><img src="images/interstage_logo.gif" width="164" height="36"/></td>
    <td width=207><img src="images/bpm_title.gif" width="207" height="36"/></td>

<%if(DisplayConsole.equals("true")) { 
%>
    <td><img src="images/task_manager_title.gif" width="128" height="36"/></td>
<%
    }
    else {
%>
    <td><img src="images/clear.gif" width="128" height="36"/></td>
<%
    }
    WFSession wfSession = (WFSession)session.getAttribute("ModelsessionID");
    BPMSession bpmSession = (BPMSession)session.getAttribute("BPMSession");
    if (wfSession != null || bpmSession != null) 
    {
        goPage = URLEncoder.encode(goPage, "UTF-8");
%>
    <td align="right"><a href="Logout.jsp?go=<%=goPage%>"><img src="images/logoff.gif" border="0"></a></td>
<%
    }
%>
  </tr>
</table>
